org.springframework.core.task

## Class TaskRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.util.concurrent.RejectedExecutionException
        - - org.springframework.core.task.TaskRejectedException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  TaskTimeoutException

    public class TaskRejectedException
    extends RejectedExecutionException

Exception thrown when a `TaskExecutor` rejects to accept a given task for execution.

Since:
  2.0.1
Author:
  Juergen Hoeller
See Also:
  `TaskExecutor.execute(Runnable)`, `TaskTimeoutException`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TaskRejectedException(String msg)` Create a new `TaskRejectedException` with the specified detail message and no root cause.
`TaskRejectedException(String msg, Throwable cause)` Create a new `TaskRejectedException` with the specified detail message and the given root cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TaskRejectedException

    public TaskRejectedException(String msg)

Create a new `TaskRejectedException` with the specified detail message and no root cause.

Parameters:
  `msg` - the detail message

#### TaskRejectedException

    public TaskRejectedException(String msg,
                         Throwable cause)

Create a new `TaskRejectedException` with the specified detail message and the given root cause.

Parameters:
  `msg` - the detail message
  `cause` - the root cause (usually from using an underlying API such as the `java.util.concurrent` package)
See Also:
  `RejectedExecutionException`